const ACTIVITY_URI = require("../config.js").ACTIVITY_URI;
const req = require("../utils/request").httpReq;

// 获取商家列表
exports.getBusinessList = async ctx => {
    const url = `${ACTIVITY_URI}/goods/background/ota_list`;
    const opts = {
      url,
      method: "GET"
    };
    ctx.body = await req(ctx, opts);
};

// 添加商品
exports.addGoods = async ctx => {
    const url = `${ACTIVITY_URI}/goods/background/add_goods`;
    const opts = {
      url,
      method: "POST",
      json: true,
      body: ctx.request.body
    };
    ctx.body = await req(ctx, opts);
};

// 商品库列表
exports.pindanGoods = async ctx => {
    const url = `${ACTIVITY_URI}/goods/background/pindan_goods`;
    const opts = {
      url,
      method: "GET"
    };
    ctx.body = await req(ctx, opts);
};