import axios from "@/utils/request";

// 获取商家列表
export async function getBusinessList(params) {
    const res = await axios.get("/api/v1/goods/background/ota_list",{
        params
    });
    return res;
}

// 添加商品
export async function addGoods(params) {
    const res = await axios.post(
      "/api/v1/goods/background/add_goods",
      params
    );
    return res;
}

// 商品库列表
export async function pindanGoods(params) {
    const res = await axios.get("/api/v1/goods/background/pindan_goods",{
      params
    });
    return res;
}